# Uses of Interface
org.codehaus.janino.Visitor.ConstructorInvocationVisitor

Packages that use Visitor.ConstructorInvocationVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.ConstructorInvocationVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.ConstructorInvocationVisitor
Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
Java.AlternateConstructorInvocation.`accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor)`
`abstract <R, EX extends Throwable>
R`
Java.ConstructorInvocation.`accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ConstructorInvocationVisitor` for the concrete `Java.ConstructorInvocation`.
`<R, EX extends Throwable>
R`
Java.SuperConstructorInvocation.`accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor)`